BD Create HOWTO initiate and track review
Status: Closed Start date: 01/18/2017

Priority: Urgent Due date: 01/20/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

It should be HOWTO for Moderator and cover all Moderator's tasks from assign reviewers to executive summary

History

#1 - 01/18/2017 07:56 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 01/18/2017 09:44 AM - Oleksii Kurasov

- Subject changed from BD Create HOWTO manage review to BD Create HOWTO initiate and track review

#3 - 01/18/2017 09:44 AM - Oleksii Kurasov

- File How to moderate a review.docx added

#4 - 01/18/2017 09:45 AM - Oleksii Kurasov

- Status changed from In Progress to Closed

#5 - 01/18/2017 09:45 AM - Oleksii Kurasov

- Status changed from Closed to Resolved

#6 - 01/18/2017 10:02 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

Files

How to moderate a review.docx 959 KB 01/18/2017 Oleksii Kurasov
